constants.h File Reference
`#include <gsm/api.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | gr
namespace | gr::gsm

## Functions

GSM_API const std::string | gr::gsm::build_date ()
| return date/time of build, as set when 'cmake' is run
GSM_API const std::string | gr::gsm::version ()
| return version string defined by cmake (GrVersion.cmake)
GSM_API const std::string | gr::gsm::major_version ()
| return just the major version defined by cmake
GSM_API const std::string | gr::gsm::api_version ()
| return just the api version defined by cmake
GSM_API const std::string | gr::gsm::minor_version ()
| return just the minor version defined by cmake
GSM_API const std::string | gr::gsm::maint_version ()
| return just the maint version defined by cmake